jif.types

## Class LabelFlowGraph

- java.lang.Object
- - jif.types.Graph
  - - jif.types.LabelFlowGraph

-     public class LabelFlowGraph
      extends Graph

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class jif.types.Graph

      `Graph.LabellingVisitor, Graph.NodeVisitor, Graph.PathFinder`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `detailedMessage`
    `static java.util.Collection<java.lang.String>` | `flowgraphtopic`
    `static int` | `messageOnly`
    `static int` | `showSlicedGraph`
    `static int` | `showWholeGraph`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LabelFlowGraph(java.util.List<InformationFlowTrace> t, FailedConstraintSnapshot snapshot)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `generateGraph()`
    `jif.types.LabelFlowGraph.LabelNode` | `getNode(Label label)`
    `static boolean` | `shouldReport(int obscurity)`
    `void` | `showErrorPath()`
    `void` | `slicing(jif.types.Graph.Node backward, jif.types.Graph.Node forward)`
    `java.lang.String` | `toDotString()`
    `void` | `writeToDotFile()`

    - ### Methods inherited from class jif.types.Graph

      `addEdge, getBackwardPaths, getForwardPaths, labelAll`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### flowgraphtopic

          public static final java.util.Collection<java.lang.String> flowgraphtopic

    - #### messageOnly

          public static final int messageOnly

      See Also:
        Constant Field Values

    - #### detailedMessage

          public static final int detailedMessage

      See Also:
        Constant Field Values

    - #### showSlicedGraph

          public static final int showSlicedGraph

      See Also:
        Constant Field Values

    - #### showWholeGraph

          public static final int showWholeGraph

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### LabelFlowGraph

          public LabelFlowGraph(java.util.List<InformationFlowTrace> t,
                                FailedConstraintSnapshot snapshot)

  - ### Method Detail

    - #### shouldReport

          public static boolean shouldReport(int obscurity)

    - #### getNode

          public jif.types.LabelFlowGraph.LabelNode getNode(Label label)

    - #### generateGraph

          public void generateGraph()

    - #### toDotString

          public java.lang.String toDotString()

    - #### slicing

          public void slicing(jif.types.Graph.Node backward,
                              jif.types.Graph.Node forward)

    - #### showErrorPath

          public void showErrorPath()

    - #### writeToDotFile

          public void writeToDotFile()